Page MenuHomePhabricator

Step 1: Error messages: on save. solvable. log in
Closed, InvalidPublic

Description

As an ... I want to ... in order to ...

Problem:

Example:

  • assert user failed (the user is/was logged-in in wikipedia/client, but is not/no longer logged in wikidata/repo)

Screenshots/mockups

Desktop

Mobile

figma artboard

BDD
GIVEN
AND
WHEN
AND
THEN
AND

Acceptance criteria:

Notes:
when logging in

  • opens in a new tab
  • bridge modal reverts back to the UI before the warning (as if "go back" was clicked)
  • after logging in we show an alert message, letting users know that they're logged in now and that they can go back to the previous tab
  • user must click "publish" once again

Event Timeline

Charlie_WMDE updated the task description. (Show Details)Feb 12 2020, 5:33 PM
Charlie_WMDE moved this task from Incoming to Ready for story writing on the Wikidata-Bridge board.
Addshore moved this task from incoming to in progress on the Wikidata board.Feb 27 2020, 11:03 PM

Looked into how we can tell apart API responses for failing saves:

  • being logged in as a different user yields assertnameduserfailed
  • not being logged in at all yields assertuserfailed

If truly needed, there is also https://en.wikipedia.org/w/api.php?action=help&modules=query%2Buserinfo which we could use after giving the user to re-login to get to the username which they now go by (which may or may not be the same as before).

Charlie_WMDE updated the task description. (Show Details)Mar 12 2020, 3:39 PM
darthmon_wmde renamed this task from Error messages: on save. solvable. log in (5) to Step 1: Error messages: on save. solvable. log in (5).Mar 18 2020, 4:29 PM
Charlie_WMDE removed Charlie_WMDE as the assignee of this task.Mar 18 2020, 6:24 PM
Charlie_WMDE updated the task description. (Show Details)
Sarai-WMDE renamed this task from Step 1: Error messages: on save. solvable. log in (5) to Step 1: Error messages: on save. solvable. log in.Mar 19 2020, 3:40 PM
Sarai-WMDE updated the task description. (Show Details)
Charlie_WMDE updated the task description. (Show Details)Mar 19 2020, 5:40 PM
Lydia_Pintscher closed this task as Invalid.Mar 30 2020, 10:59 AM

declining since we're handling it in a different ticket